gtkmm 2.4: Gtk::Misc Class Reference

Main Page Widgets Namespaces Book

# Gtk::Misc Class Reference

Inheritance diagram for Gtk::Misc:

[legend]
List of all members.

## Detailed Description

A base class for widgets with alignments and padding.

This is an abstract for a set of utility widgets that lack a physical window. They do have alignment and padding within their defined space.

Without a window, widgets of this type cannot capture events. To capture events place in Gtk::EventBox.

## Public Member Functions
void | get_alignment (float& xalign, float& yalign) const
| Gets the X and Y alignment of the widget within its allocation.
void | get_padding (int& xpad, int& ypad) const
| Gets the padding in the X and Y directions of the widget.
const GtkMisc* | gobj () const
| Provides access to the underlying C GtkObject.
GtkMisc* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_alignment (AlignmentEnum xalign=Gtk::ALIGN_LEFT, AlignmentEnum yalign=Gtk::ALIGN_CENTER)
void | set_alignment (float xalign=0.0, float yalign=0.5)
void | set_padding (int xpad, int ypad)
virtual | ~Misc ()
## Protected Member Functions
| Misc ()
## Related Functions
(Note that these are not member functions.)
Gtk::Misc* | wrap (GtkMisc* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Misc::~Misc | ( |  | ) | `[virtual]`

Gtk::Misc::Misc | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::Misc::get_alignment | ( | float& | xalign,
|  | float& | yalign
| ) | const

  | Gets the X and Y alignment of the widget within its allocation. See set_alignment(). Parameters:
  | xalign | Location to store X alignment of misc , or `0`.
  | yalign | Location to store Y alignment of misc , or `0`.

void Gtk::Misc::get_padding | ( | int& | xpad,
|  | int& | ypad
| ) | const

  | Gets the padding in the X and Y directions of the widget. See set_padding(). Parameters:
  | xpad | Location to store padding in the X direction, or `0`.
  | ypad | Location to store padding in the Y direction, or `0`.

const GtkMisc* Gtk::Misc::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::AccelLabel, Gtk::Arrow, Gtk::Image, and Gtk::Label.

GtkMisc* Gtk::Misc::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::AccelLabel, Gtk::Arrow, Gtk::Image, and Gtk::Label.

void Gtk::Misc::set_alignment | ( | AlignmentEnum | xalign = `Gtk::ALIGN_LEFT`,
|  | AlignmentEnum | yalign = `Gtk::ALIGN_CENTER`
| ) |

void Gtk::Misc::set_alignment | ( | float | xalign = `0.0`,
|  | float | yalign = `0.5`
| ) |

void Gtk::Misc::set_padding | ( | int | xpad,
|  | int | ypad
| ) |

## Friends And Related Function Documentation

Gtk::Misc* wrap | ( | GtkMisc* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- misc.h